Class List Method List File List

# Class: Concurrent::MultipleErrors

Inherits:
  Error
  - Object
  - Concurrent::MultipleErrors
  show all
Defined in:
  lib/concurrent/errors.rb

## Overview

Aggregates multiple exceptions.

## Instance Attribute Summary (collapse)

- - (undocumented) errors readonly

  Returns the value of attribute errors.

## Instance Method Summary (collapse)

- - (MultipleErrors) initialize(errors, message = "#{errors.size} errors") constructor

  A new instance of MultipleErrors.

## Constructor Details

### - (`MultipleErrors`) initialize(errors, message = "#{errors.size} errors")

Returns a new instance of MultipleErrors

    61
    62
    63
    64
    65
    66

    # File 'lib/concurrent/errors.rb', line 61

    def initialize(errors, message = "#{errors.size} errors")
      @errors = errors
      super [*message,
             *errors.map { |e| [format('%s (%s)', e.message, e.class), *e.backtrace] }.flatten(1)
            ].join("\n")
    end

## Instance Attribute Details

### - (`undocumented`) errors (readonly)

Returns the value of attribute errors

    59
    60
    61

    # File 'lib/concurrent/errors.rb', line 59

    def errors
      @errors
    end